UnableToSendNotificationException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jmx.export.notification

## Class UnableToSendNotificationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.jmx.JmxException
          - - org.springframework.jmx.export.notification.UnableToSendNotificationException

- All Implemented Interfaces:
    Serializable

      public class UnableToSendNotificationException
      extends JmxException

  Thrown when a JMX `Notification` is unable to be sent.

  The root cause of just why a particular notification could not be sent will typically be available via the `Throwable.getCause()` property.

  Since:
    2.0
  Author:
    Rob Harrop
  See Also:
    `NotificationPublisher`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnableToSendNotificationException(String msg)` Create a new instance of the `UnableToSendNotificationException` class with the specified error message.
    `UnableToSendNotificationException(String msg, Throwable cause)` Create a new instance of the `UnableToSendNotificationException` with the specified error message and root cause.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnableToSendNotificationException

          public UnableToSendNotificationException(String msg)

      Create a new instance of the `UnableToSendNotificationException` class with the specified error message.
      Parameters:
        `msg` - the detail message

    - #### UnableToSendNotificationException

          public UnableToSendNotificationException(String msg,
                                           Throwable cause)

      Create a new instance of the `UnableToSendNotificationException` with the specified error message and root cause.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause